package com.pjilisense.flxai.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;


/**
 * AI应用工具集
 *
 * @author liushujing liushujing@philisense.com
 * @since 1.0.0 2024-12-12
 */
@Data
@ApiModel(value = "AI应用工具集")
public class AppToolsSetDTO implements Serializable {
    private static final long serialVersionUID = 1L;

	@ApiModelProperty(value = "主键")
	private String id;

	@ApiModelProperty(value = "名称")
	private String name;

	@ApiModelProperty(value = "session类型")
	private String sessiontype;

	@ApiModelProperty(value = "说明")
	private String remark;

	@ApiModelProperty(value = "图标地址")
	private String iconurl;

	@ApiModelProperty(value = "站点地址")
	private String website;

	@ApiModelProperty(value = "分类CODE")
	private String classification;

	@ApiModelProperty(value = "欢迎度标记")
	private String popularFlg;

	@ApiModelProperty(value = "排序")
	private Integer sort;

	@ApiModelProperty(value = "是不是工具0不是1是")
	private String istool;


}