package com.pjilisense.flxai.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

import java.util.Date;

/**
 * AI应用工具集
 *
 * @author liushujing liushujing@philisense.com
 * @since 1.0.0 2024-12-12
 */
@Data
@TableName("app_tools_set")
public class AppToolsSetEntity {

    /**
     * 主键
     */
	private String id;
    /**
     * 名称
     */
	private String name;
    /**
     * session类型
     */
	private String sessiontype;
    /**
     * 说明
     */
	private String remark;
    /**
     * 图标地址
     */
	private String iconurl;
    /**
     * 站点地址
     */
	private String website;
    /**
     * 分类CODE
     */
	private String classification;
    /**
     * 欢迎度标记
     */
	private String popularFlg;
    /**
     * 排序
     */
	private Integer sort;
    /**
     * 是不是工具0不是1是
     */
	private String istool;
}